# std::move_iterator<Iter>::base

From cppreference.com
< cpp‎ | iterator‎ | move iterator

iterator_type base() const; |  | (until C++17)
constexpr iterator_type base() const; |  | (since C++17)

Returns the underlying base iterator.

### Parameters

(none)

### Return value

The underlying iterator.

### Exceptions

(none)

### Example

| This section is incomplete Reason: no example

### See also

operator*operator-> (deprecated in C++20) | accesses the pointed-to element (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/iterator/move_iterator/base&oldid=50879"